Search documentation of ExStreamClient

# ExStreamClient.Model.ReviewQueueItemResponse (ExStreamClient v0.1.10)

View Source

Schema representing a ReviewQueueItemResponse

# Summary

## Types

t()

## Functions

decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

nested_components()

# Types

# t()

    @type t() :: %ExStreamClient.Model.ReviewQueueItemResponse{
      actions: [ExStreamClient.Model.ActionLogResponse.t()],
      activity: ExStreamClient.Model.EnrichedActivity.t() | nil,
      ai_text_severity: String.t(),
      assigned_to: ExStreamClient.Model.UserResponse.t() | nil,
      bans: [ExStreamClient.Model.Ban.t()],
      call: ExStreamClient.Model.CallResponse.t() | nil,
      completed_at: float() | nil,
      config_key: String.t() | nil,
      created_at: float(),
      entity_creator: ExStreamClient.Model.EntityCreatorResponse.t() | nil,
      entity_creator_id: String.t() | nil,
      entity_id: String.t(),
      entity_type: String.t(),
      feeds_v2_activity: ExStreamClient.Model.EnrichedActivity.t() | nil,
      feeds_v2_reaction: ExStreamClient.Model.Reaction.t() | nil,
      flags: [ExStreamClient.Model.FlagResponse.t()],
      flags_count: integer(),
      id: String.t(),
      languages: [String.t()],
      message: ExStreamClient.Model.MessageResponse.t() | nil,
      moderation_payload: ExStreamClient.Model.ModerationPayload.t() | nil,
      reaction: ExStreamClient.Model.Reaction.t() | nil,
      recommended_action: String.t(),
      reviewed_at: float() | nil,
      reviewed_by: String.t(),
      severity: integer(),
      status: String.t(),
      teams: [String.t()] | nil,
      updated_at: float()
    }

# Functions

# decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

# nested_components()